Subject: Re: gcc 3.11-2 link error with stdc++
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 11 Jul 2002 11:26:54 -0400

On Thu, Jul 11, 2002 at 08:58:42PM +0900, Dylan Cuthbert wrote:
>Hi there,
>
>I have downloaded the very latest 3.11 version of gcc for cygwin.
>
>It seems any piece of code using string::replace with iterators causes a
>link error at the moment, this is the error I get:
>
> undefined reference to `
>std::basic_string<char, std::char_traits<char>, std::allocator<char>
>>::replace(std::__normal_iterator<char*, std::basic_string<char,
>std::char_traits<char>, std::allocator<char> > >,
>std::__normal_iterator<char*, std::basic_string<char,
>std::char_traits<char>, std::allocator<char> > >, unsigned, char)'
>collect2: ld returned 1 exit status
>
>If this isn't a cygwin-related problem I'll post to the gcc group, however,
>I haven't seen mention of this kind of problem on there.

Sorry.  I can't offer any insight, especially without a test case, but probably
not even then.

Maybe Egor might have an idea.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/